Subject: AIX 4.1.3 compile of wu 2.4 fails: Can you mail be the binaries?

From: [email-masked] (Mike Erwin, System Administrator)
Date: Tue, 13 Feb 1996 10:16:53 -0600

root@picard:/mirror4/new/wu-ftpd-2.4 [187 ] # ./build aix
make args are :
make opts are :

Linking Makefiles.
ln: 0653-421 Makefile exists.
    Specify -f to remove Makefile before linking.
ln: 0653-421 config.h exists.
    Specify -f to remove config.h before linking.
ln: 0653-421 Makefile exists.
    Specify -f to remove Makefile before linking.

Making support library.
gcc -O -DDEBUG   -c strdup.c
strdup.c:48: conflicting types for `strdup'
/usr/local/lib/gcc-lib/rs6000-ibm-aix4.1.2/2.7.0/include/string.h:146: previous'
make: *** [strdup.o] Error 1

Making ftpd.
gcc -O -DDEBUG -I.. -I../support -L../support   -c ftpd.c -o ftpd.o
ftpd.c:143: conflicting types for `realpath'
/usr/local/lib/gcc-lib/rs6000-ibm-aix4.1.2/2.7.0/include/stdlib.h:426: previous'
ftpd.c: In function `pass':
ftpd.c:1002: warning: assignment makes integer from pointer without a cast
ftpd.c:1153: warning: passing arg 1 of `setgroups' makes integer from pointer wt
ftpd.c: In function `opt_string':
ftpd.c:1226: warning: comparison between pointer and integer
ftpd.c:1228: warning: comparison between pointer and integer
ftpd.c:1230: warning: comparison between pointer and integer
ftpd.c: In function `retrieve':
ftpd.c:1342: warning: comparison between pointer and integer
make: *** [ftpd.o] Error 1

Making ftpcount.
gcc -O -DDEBUG -I.. -I../support -L../support -o ftpcount ftpcount.c vers.o -lst
gcc: vers.o: No such file or directory
ftpcount.c: In function `parsetime':
ftpcount.c:98: warning: comparison between pointer and integer
ftpcount.c:107: warning: comparison between pointer and integer
ftpcount.c: In function `acl_getlimit':
ftpcount.c:159: warning: comparison between pointer and integer
ftpcount.c:162: warning: assignment makes integer from pointer without a cast
ftpcount.c: In function `main':
ftpcount.c:307: warning: comparison between pointer and integer
ftpcount.c:310: warning: assignment makes integer from pointer without a cast
make: *** [ftpcount] Error 1

Making ftpshut.
gcc -O -DDEBUG -I.. -I../support -L../support -o ftpshut ftpshut.c vers.o -lsupt
gcc: vers.o: No such file or directory
ftpshut.c: In function `main':
ftpshut.c:188: warning: comparison between pointer and integer
ftpshut.c:191: warning: assignment makes integer from pointer without a cast
make: *** [ftpshut] Error 1

Making ckconfig.
make: `ckconfig' is up to date.
ln: 0653-421 ckconfig exists.
    Specify -f to remove ckconfig before linking.

Links to executables are in bin directory:
size: 0654-304 Cannot open bin/ftpd.
size: 0654-304 Cannot open bin/ftpcount.
size: 0654-304 Cannot open bin/ftpshut.
size: 0654-304 Cannot open bin/ftpwho.
bin/ckconfig: 2957 + 532 + 39 + 1589 + 1525 = 6642
Done

|  "From the lightning in the sky, as it passed me flying by,
|   From the thunder and the storm, and the cloud that took the form,
|   (When the rest of heaven was blue), of a demon in my view."
| {10010 | 0111}  ˆ Veritas Aut Nihil! ˆ Heads- heads... heads?  heads!
|
|  Out the 10Base-T, through the router, down the T1, over the leased
|  line, off the bridge, past the firewall...nothing but Net.
|
|  Mike Erwin,           Dr. Internet       Apple Computer, Inc.
|  Austin Internet Administrator    [email-masked]
|  Apple: 512-908-8333   Home:  512-302-0577   Other:  512-345-3573